########### Saving the First session

savehistory()
getwd()
setwd("D:\\Dropbox\\Conferences\\2014-05-30  ISA reproducible research workshop\\code")
savehistory()
save.image()
list.files(all.files=TRUE)


########### Loading objects from the First session


ls()
rm(list=ls(all=TRUE))
ls()
load(".RData")
ls()


########### Saving/Loading one object

# .RData
save(iris2, fit, dend , # objects
		file = "stuff.RData")
rm(list=ls(all=TRUE))
ls()
load("stuff.RData")
ls()


# .rds
# restore all objects
load(".RData")

saveRDS(fit, file = "fit.rds")
rm(list=ls(all=TRUE))
ls()
readRDS("fit.rds")
ls()
saved_fit <- readRDS("fit.rds")
ls()

# dput
# restore all objects
load(".RData")

col_Species
dput(col_Species)

dend
dput(dend)
str(dend)


# Why sink:
# http://tolstoy.newcastle.edu.au/R/e2/help/06/09/0580.html

########### Saving all output

# file.copy(".Rhistory", "output_01.r")

# sink("output_01.txt")
pdf("output_01.pdf")

source("output_01.r", echo = TRUE)

# sink()
dev.off()

data.frame(list.files(all.files=TRUE))


